Subject: Contribution Corner Cases was Re: New Trust Copyright FAQ

From: "t.petch" <[email-masked]>
Date: Mon, 2 Aug 2010 16:49:08 +0200

I am encountering two cases of Contributions where I am uncertain what my rights
are.

One is when material is not posted directly to an IETF list, rather a URL is
provided in an e-mail to a WG list, pointing to a Word or pdf document or a page
on a web site.  Do the contents of such a document count as a Contribution?  Can
I use the text from such a document in my own I-D?  RFC 5378 et al would suggest
not.

(One common example of this is when the document in question is a liaison from
another SDO commenting on an IETF I-D but there are others where the document
could and perhaps should be an IETF I-D but, for whatever reason, the authors
choose not to put the document forward as such)

And, corner corner case, what if the document or web page in question is updated
after the e-mail with the URL is posted to the list (but the URL is unaltered)?

Same question, can I use the text, but what if the text comes from an e-mail
posted to a list but it is an IRTF list and not an IETF one?  RFC5743, on the
IRTF stream, is silent about Contributions; RFC 5378 is verbose, but is explicit
that it relates only to the IETF (as indeed it should be, as that is what the
IPR WG resolved).  So does a post to an IRTF list (and I never see Note Wells or
anything similar on an IRTF list or at an IRTF meeting) count as a Contribution?
Can I carry the text across to an IETF (yes, IETF) I-D?

This last seems to me to be a substantive omission from RFC5743.

Tom Petch

----- Original Message -----
From: "Marshall Eubanks" <[email-masked]>
To: "IETF discussion list" <[email-masked]>
Sent: Wednesday, July 28, 2010 11:23 AM
Subject: New Trust Copyright FAQ

> The IETF Trust maintains a Frequently Asked Questions [FAQ] file on
> IETF Copyright issues. With the creation of a new Trust Legal
> Provisions (TLP), this FAQ needed to be updated. This was done last
> month, but do to some confusion about document changes, this was never
> announced.
>
> So, I would like to announce that there is a new Copyright FAQ for the
> IETF Trust Legal Provisions.
>
> A direct link to the PDF document is
>
> http://trustee.ietf.org/license-info/
>
> and it is also available from the TLP page
>
> http://trustee.ietf.org/docs/IETF-Trust-License-Policy.pdf
>
> Of course, this document is informative, not normative.
>
> Comments, questions and suggestions would, as always, be appreciated.
>
> Regards
> Marshall
>
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

---

From: todd glassey <[email-masked]>
Date: Mon, 02 Aug 2010 11:46:29 -0700

On 8/2/2010 7:49 AM, t.petch wrote:
> on a web site.  Do the contents of such a document count as a Contribution? 
No... they are not submitted to the IETF in any form where the party
submitting them has to document their power of attorney to convey the IP
to the IETF. As such they cannot be included...
>  Can
You could technically only use the URL as a printed-object and not as a
reference to external content which is controlled outside of the IETF's
republication conveyance model
> after the e-mail with the URL is posted to the list (but the URL is unaltered)?
Hmmmm, that  is NOT a corner case but rather a primary case of inclusion
by reference (i.e. that the reference to that content included its power
of attorney in an ongoing manner). Any material which is an abstracted
form of content (content which is represented by some link) cannot be
included into the IETF's processes because there will  never be a way to
properly catalogue and promulgate the developers rights to assign them
to the IETF.

For instance if there was a SDO "spud standards" and they created Potato
Network Protocol, and someone here in the IETF writes a I-D about that
product, the IETF itself and that party do not own legal rights to
publish anything technical about that IP without the core owners
permissions which the submitter never had.

This has happened numerous times already (lets start with TELNET for
instance) and the IETF's practice is to shove its collective head into
somewhere the sun doesn't shine to prevent its being forced to actually
see that it has its head packed up its... well you get the point.

Here we are again at the idea that the IETF cannot license content and
technology it doesn't own the copyrights to.

Todd Glassey

---

From: John Levine <[email-masked]>
Date: 2 Aug 2010 19:10:18 -0000

>One is when material is not posted directly to an IETF list, rather a
>URL is provided in an e-mail to a WG list, pointing to a Word or pdf
>document or a page on a web site.  Do the contents of such a document
>count as a Contribution?  Can I use the text from such a document in
>my own I-D?  RFC 5378 et al would suggest not.

    http://www.microsoft.com
    http://online.wsj.com/

I'm pretty sure you still can't use the source code to Windows or
articles from the WSJ in your drafts.  A URL is like a footnote.
You're welcome to copy the URL itself, not what it points to.

Re the IRTF. I always operated on the assumption that the note well
applied on the ASRG lists and wiki, but I also don't recall formal
statements to that effect.

R's,
John

---

From: "t.petch" <[email-masked]>
Date: Mon, 23 Aug 2010 10:15:03 +0200

RFC2919 makes reference to [DRUMS] for some of its ABNF  but I see no sign of
DRUMS in its references (nor is there a relevant erratum).

Would that be what became RFC2822?

Tom Petch

---

From: Tony Hansen <[email-masked]>
Date: Mon, 23 Aug 2010 07:53:13 -0400

If you look at diffs from draft-chandhok-listid-04.txt, you'll find that 
the reference name got updated in the References section, but the 
references themselves within the text did not.

     Tony